API Reference

Retry add-certificate finalization

Requires the workflows:add-certificate or workflows:onboard-domain entitlement matching the execution. This mutating recovery queues finalization only for a failed execution at its finalization stage with a source run and successful persisted prerequisite outputs; duplicate pending recovery is reused.

POST/v1/executions/{id}/retry-finalization

Requires the workflows:add-certificate or workflows:onboard-domain entitlement matching the execution. This mutating recovery queues finalization only for a failed execution at its finalization stage with a source run and successful persisted prerequisite outputs; duplicate pending recovery is reused.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Execution ID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/executions/string/retry-finalization"
{  "command": {    "commandId": "string",    "operation": "retry-finalization",    "status": "active"  },  "execution": {    "cancellationRequestedAt": "string",    "createdAt": "string",    "currentStage": "string",    "executionId": "string",    "finishedAt": "string",    "principalId": "string",    "status": "canceled",    "workflow": "string"  },  "workflowRunId": "string"}